Summary: IRQ allocation daemon
Name: irqbalance
Version: 1.0.6
Release: r0.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://code.google.com/p/irqbalance/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: glib-2.0
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: update-rc.d-native
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libglib-2.0.so.0()(64bit)
Requires: libc.so.6()(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libglib-2.0-0 >= 2.40.0
Requires: libpthread.so.0()(64bit)
Requires: initscripts-functions
Requires: libm.so.6()(64bit)
Requires(pre): rtld(GNU_HASH)
Requires(pre): libc.so.6(GLIBC_2.3)(64bit)
Requires(pre): libc.so.6(GLIBC_2.14)(64bit)
Requires(pre): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(pre): libglib-2.0.so.0()(64bit)
Requires(pre): libc.so.6()(64bit)
Requires(pre): /bin/sh
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): libc6 >= 2.20+sdkwrl7+27
Requires(pre): libglib-2.0-0 >= 2.40.0
Requires(pre): libpthread.so.0()(64bit)
Requires(pre): initscripts-functions
Requires(pre): libm.so.6()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(post): libglib-2.0.so.0()(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): /bin/sh
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): libglib-2.0-0 >= 2.40.0
Requires(post): libpthread.so.0()(64bit)
Requires(post): initscripts-functions
Requires(post): libm.so.6()(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(preun): libglib-2.0.so.0()(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): /bin/sh
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc6 >= 2.20+sdkwrl7+27
Requires(preun): libglib-2.0-0 >= 2.40.0
Requires(preun): libpthread.so.0()(64bit)
Requires(preun): initscripts-functions
Requires(preun): libm.so.6()(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(postun): libglib-2.0.so.0()(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): /bin/sh
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): libglib-2.0-0 >= 2.40.0
Requires(postun): libpthread.so.0()(64bit)
Requires(postun): initscripts-functions
Requires(postun): libm.so.6()(64bit)
Suggests: update-rc.d
Provides: elf(buildid) = 27921147069ecbb8e60dcb6156755fce52b457ac

%description
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.

%package -n irqbalance-dbg
Summary: IRQ allocation daemon - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libglib-2.0-dbg
Recommends: irqbalance = 1.0.6-r0.0

%description -n irqbalance-dbg
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
ELF symbols and related sources for debugging purposes.

%package -n irqbalance-staticdev
Summary: IRQ allocation daemon - Development files (Static Libraries)
Group: devel
Requires: irqbalance-dev = 1.0.6-r0.0

%description -n irqbalance-staticdev
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
static libraries for software development.

%package -n irqbalance-dev
Summary: IRQ allocation daemon - Development files
Group: devel
Requires: irqbalance = 1.0.6-r0.0
Suggests: libc6-dev
Suggests: libglib-2.0-dev
Suggests: initscripts-functions-dev
Suggests: initscripts-dev

%description -n irqbalance-dev
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n irqbalance-doc
Summary: IRQ allocation daemon - Documentation files
Group: doc

%description -n irqbalance-doc
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.  This package contains
documentation.

%package -n irqbalance-locale
Summary: IRQ allocation daemon
Group: base

%description -n irqbalance-locale
A daemon to balance interrupts across multiple CPUs, which can lead to
better performance and IO balance on SMP systems.

%pre
# irqbalance - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/irqbalanced" ]; then
	/etc/init.d/irqbalanced stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT irqbalanced remove
fi


%post
# irqbalance - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT irqbalanced stop 20 0 1 2 3 4 5 6 .
fi


%preun
# irqbalance - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/irqbalanced stop
fi
fi

%postun
# irqbalance - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT=""
	fi
	update-rc.d $OPT irqbalanced remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/sbin"
"/usr/sbin/irqbalance"
%dir "/etc/init.d"
"/etc/init.d/irqbalanced"

%files -n irqbalance-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/irqbalance"
%dir "/usr/src/debug"
%dir "/usr/src/debug/irqbalance"
%dir "/usr/src/debug/irqbalance/1.0.6-r0"
%dir "/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/bitmap.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/activate.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/procinterrupts.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/cputree.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/cpumask.h"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/non-atomic.h"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/types.h"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/irqbalance.h"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/placement.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/irqlist.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/numa.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/irqbalance.c"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/bitmap.h"
"/usr/src/debug/irqbalance/1.0.6-r0/irqbalance-1.0.6/classify.c"

%files -n irqbalance-dev
%defattr(-,-,-,-)

%files -n irqbalance-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/irqbalance.1"

